# Method: projects.locations.productSets.patch

- [HTTP request](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p3beta1/projects.locations.productSets/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p3beta1/projects.locations.productSets/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p3beta1/projects.locations.productSets/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p3beta1/projects.locations.productSets/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p3beta1/projects.locations.productSets/patch#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p3beta1/projects.locations.productSets/patch#body.aspect)

Makes changes to a ProductSet resource. Only displayName can be updated currently.

Possible errors:

- Returns NOT_FOUND if the ProductSet does not exist.
- Returns INVALID_ARGUMENT if displayName is present in updateMask but missing from the request or longer than 4096 characters.

### HTTP request

`PATCH https://vision.googleapis.com/v1p3beta1/{productSet.name=projects/*/locations/*/productSets/*}`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `productSet.name` | `string` The resource name of the ProductSet. Format is: `projects/PROJECT_ID/locations/LOC_ID/productSets/PRODUCT_SET_ID`. This field is ignored when creating a ProductSet. <br /> |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` The `https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` that specifies which fields to update. If updateMask isn't specified, all mutable fields are to be updated. Valid mask path is `displayName`. A comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. <br /> |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p3beta1/projects.locations.productSets#ProductSet`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p3beta1/projects.locations.productSets#ProductSet`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-vision`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).